<?php
// Impedisce l'accesso diretto al file
defined('_JEXEC') or die();

// Include la classe base JModel
jimport('joomla.application.component.model');

class BachecaModelBacheca extends JModel {
	var $_data;
	var $_total = null;
	var $_pagination = null;
	
	function __construct()	{
		parent::__construct();

		global $mainframe, $option;

		$limit	= $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		$limitstart = $mainframe->getUserStateFromRequest($option.'limitstart', 'limitstart', 0, 'int');
		
		$limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);
		
		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);
	}
	
	function getTotal() {
		if (empty($this->_total)) {
			$query = $this->_buildQuery();
			$this->_total = $this->_getListCount($query);
		}
		return $this->_total;
	}
	
	function &getPagination() {
		if (empty($this->_pagination)) {
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination( $this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
		}
		return $this->_pagination;
	}
	
	function _buildQuery() {
        $query = ' SELECT * '
            . ' FROM #__bacheca ORDER BY id';
        return $query;
    }
	
	function &getData() {
        // Caricamento dei dati
        if(empty($this->_data)) {
            $query = $this->_buildQuery();
			$pagination = $this->getPagination();
            $this->_data = $this->_getList($query, $pagination->limitstart, $pagination->limit);
        }
        return $this->_data;
    }
}
?>