<?php
// Impedisce l'accesso diretto al file
defined('_JEXEC') or die();

// Include la classe base JModel
jimport('joomla.application.component.model');

class BachecaModelPPost extends JModel {
	function __construct() {
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}

	function setId($id) {
		$this->_id	= $id;
		$this->_data = null;
	}

	function &getData() {
		// Carica i dati se non esistono gi
		if(empty($this->_data)) {
			$sql = 'SELECT * FROM #__bacheca '.
					'  WHERE id = '. $this->_id;
			$this->_db->setQuery($sql);
			$this->_data = $this->_db->loadObject();
		}
		if(!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->id = 0;
			$this->_data->tittle = null;
			$this->_data->description = null;
		}
		return $this->_data;
	}

	function store() {
		// Ottiene un riferimento all'oggetto Table PPost
		$row =& $this->getTable();
		
		// Legge i dati da $_POST
		$data = JRequest::get('post');

		// Associa i campi ricevuti da $_POST con Table
		if(!$row->bind($data)) {
			$this->setError($row->getError());
			return false;
		}

		// Checking 
		if(!$row->check()) {
			$this->setError($row->getError());
			return false;
		}
		
		// Salvataggio record
		if(!$row->store()) {
			$this->setError($row->getError());
			return false;
		}
		return true;
	}

	function delete() {
		// Array valori ID 
		$cids = JRequest::getVar('cid', array(0), 'post', 'array');
		// Riferimento all'oggetto Table PPost
		$row =& $this->getTable();

		if(count($cids)) {
			foreach($cids as $cid) {
				// Cancellazione record
				if(!$row->delete($cid)) {
					$this->setError($row->getError());
					return false;
				}
			}						
		}
		return true;
	}
}
?>