<?php
// Impedisce l'accesso diretto al file
defined('_JEXEC') or die();

class BachecaControllerPPost extends BachecaController {
	
	function __construct() {
		parent::__construct();

		// task add processato da metodo edit()
		$this->registerTask('add', 'edit');
	}
	
	function edit() {
		JRequest::setVar('view', 'ppost');
		JRequest::setVar('layout', 'default');
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}
	
	//Cancellazione post
	function remove() {
		$model = $this->getModel('ppost');
		if($model->delete()) {
			$msg = JText::_('Post(s) Deleted');
		} else {
			$msg = JText::_('Error Deleting One or More Post') . ': ' . $model->getError();
		}
		//Redirect per rivisualizzare l'elenco degli eventi
		$this->setRedirect('index.php?option=com_bacheca', $msg);
	}
	 
	//Salvataggio post 
	function save() {
		$model = $this->getModel('ppost');

		if($model->store()) {
			$msg = JText::_('Post Saved');
		} else {
			$msg = JText::_('Post Saving') . ': ' . $model->getError();
		}

		$link = 'index.php?option=com_bacheca';
		$this->setRedirect($link, $msg);
	}

	function cancel() {
		$msg = JText::_('Operation Cancelled');
		$this->setRedirect( 'index.php?option=com_bacheca', $msg );
	}
}
?>